body {
    padding-top: 40px;
    padding-bottom: 40px;
}
.fixed-width-panel {
    max-width: 33rem;
    padding: 15px;
    margin: 5px auto;
}
.form-signin .form-signin-heading {
    color: #3e3e3f;
    font-family: "Roboto Slab", serif;
    font-size: 2.4rem;
    font-weight: 400;
    line-height: initial;
    text-align: center;
    margin-top: 0;
}
.form-signin .form-signin-heading,
.form-signin .checkbox {
    margin-bottom: 10px;
}
.form-signin .form-group .form-control {
    font-family: "Open Sans", sans-serif;
    font-size: 1.4rem;
    padding: 0.8rem 1rem 0.6rem;
    cursor: pointer;
    background: inherit;
    position: relative;
    z-index: 2;
    border: 2px solid #3e3e3f99 !important;
    border-radius: 4px !important;
}
form .form-control {
    position: relative;
    height: auto;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    padding: 10px;
    font-size: 16px;
}
form .form-group .form-control:focus,
form .form-group .form-control:active {
    z-index: 2;
    border-color: #0066a6 !important;
    box-shadow: none;
}
.form-signin input#username {
    margin-bottom: -1px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}
.form-signin input#password {
    margin-bottom: 10px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}
.TAGLogo {
    justify-content: center;
    display: flex;
    padding: 0;
    margin: 8rem auto 1rem auto;
}
.TAGLogo img {
    width: 100%;
}
@media (max-width: 600px) {
    .TAGLogo {
        justify-content: center;
        display: flex;
        padding: 0 2rem 0 2rem;
        margin: 0 auto 0 auto;
    }
}

.nav-bullets {
    display: inline-block;
    margin: 5px auto;
}
.o {
    border: 1px solid #3795c5;
    margin: 0.5em;
    padding: 0;
    border-radius: 50%;
    width: 8px;
    height: 8px;
    display: inline-block;
    text-align: center;
    vertical-align: middle;
}
.o.active {
    background-color: #3795c5;
}
.thumbsup {
    text-align: center;
    color: #089848;
    font-size: 5em;
}
.ftu-setup {
    display: none;
}

.tf {
    width: 33rem;
    margin: 0 auto;
    border-radius: 4px;
    padding: 0 1.5rem;
    flex-direction: column;
    align-items: center;
    display: none;
}

.tf__text {
    color: #3e3e3f;
    font-family: "Open Sans", sans-serif;
    font-size: 1.6rem;
    margin-bottom: 2rem;
}
.tf__instruction {
    display: block;
    margin-top: 0.5rem;
    font-size: 1.4rem;
    font-weight: 700;
}

.tf__responseMessage {
    padding: 0.35rem 0.75rem;
    border-radius: 4px;
    font-family: "Open Sans", sans-serif;
    margin-bottom: 0.5rem;
    border: 2px solid transparent;

    transition:
        opacity 0.15s,
        color 0.15s,
        background-color 0.15s,
        border 0.15s;
    opacity: 0;
}
.tf__responseMessage:empty::before {
    content: "\00A0";
}
.tf__responseMessage--success {
    border: 2px solid rgb(59, 178, 115, 0.6);
    background-color: rgb(59, 178, 115, 0.2);
    color: #3bb273;
    opacity: 1;
}
.tf__responseMessage--error {
    border: 2px solid rgb(155, 54, 54, 0.6);
    background-color: rgb(155, 54, 54, 0.2);
    color: #9b3636;
    opacity: 1;
}

.tf__tokenInput {
    font-family: "Open Sans", sans-serif;
    font-size: 2rem;
    padding: 0.8rem 1rem 0.6rem;
    border-radius: 4px;
    text-align: center;
    letter-spacing: 1rem;
    outline: none;
    width: 100%;
    cursor: pointer;

    transition:
        border 0.2s,
        background-color 0.2s,
        color 0.2s;
    background-color: rgba(62, 62, 63, 0.065);
    border: 2px solid rgba(62, 62, 63, 0.6);
    color: #3e3e3f;
}
.tf__tokenInput--disabled {
    background-color: rgba(62, 62, 63, 0.035);
    border: 2px solid rgba(62, 62, 63, 0.3);
    color: #8b8b8c;
}
.tf__tokenInput:hover:enabled,
.tf__tokenInput:focus:enabled,
.tf__tokenInput:active:enabled {
    background-color: rgba(0, 102, 166, 0.065);
    border: 2px solid rgba(0, 102, 166, 0.6);
    color: #004774;
}

.tf__tokenInput[type="number"]::-webkit-inner-spin-button,
.tf__tokenInput[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.tf__button {
    color: #fff;
    font-size: 1.4rem;
    font-weight: bold;
    text-align: center;
    text-transform: uppercase;
    letter-spacing: 0.2rem;
    border-radius: 4px;
    padding: 0.8rem 1.2rem;
    width: 14rem;
    white-space: nowrap;
    margin-top: 2.5rem;
    outline: none;
    cursor: pointer;

    transition:
        border 0.15s,
        background-color 0.15s,
        color 0.15s,
        box-shadow 0.2s;
    background-color: #0066a6;
    border: 2px solid #0066a6;
}
.tf__button:hover:enabled {
    background-color: #1a75af;
}
.tf__button:active:enabled {
    box-shadow: none;
}
.tf__button--disabled {
    color: #fff;
    background-color: #dadddf;
    border: 2px solid #dadddf;
    cursor: not-allowed;
}

.form-signin .btn {
    background-color: #0066a6;
    border-radius: 4px;
    width: auto;
    margin: 0 auto;
    font-family: "Open Sans", sans-serif;
    font-size: 1.6rem;
    padding: 1rem 4rem;
    text-align: center;
    text-transform: uppercase;
    letter-spacing: 0.2rem;
    font-weight: bold;
    transition:
        background-color 0.15s,
        border-color 0.25s;
}
.form-signin .btn:hover {
    background-color: #0066a6d9;
    border-color: #0066a6d9;
    border-radius: 4px;
}
.form-signin .btn:focus,
.form-signin .btn:active {
    outline: none;
    box-shadow: none;
    transition: background-color 0.05s;
    background-color: #0066a6e6;
}

#browserWarning {
    display: none;
    float: left;
    border-radius: 0.5rem;
    padding: 0.5rem;
    background: #fb5050;
    margin-top: 1.5rem;
    margin-left: 1rem;
    width: 30rem;
    align-self: center;
}
#browserWarning::after {
    content: "";
    display: table;
    clear: both;
}

.browserWarning {
    color: white;
    display: block;
}
.browserWarning:hover,
.browserWarning:visited,
.browserWarning:active,
.browserWarning:link {
    color: white;
    text-decoration: none;
}
.browserWarning_title {
    font-size: 1.6rem;
    line-height: auto;
    margin: 0;
    padding: 0;
}
.browserWarning_subTitle {
    font-size: 1.4rem;
    line-height: auto;
    margin: 0;
    padding: 0;
    text-align: center;
}
.browserWarning_title::before {
    content: "\f071";
    font-family: fontAwesome;
    margin-right: 0.5rem;
}
.browserWarning_title::after {
    content: "Browser";
}
